CREATE TABLE jtf_rs_rep_managers_ss (
    DENORM_MGR_ID            NUMBER(18, 0),
    TREE_STRUCTURE_CODE      VARCHAR2(120),
    TREE_CODE                VARCHAR2(120),
    TREE_VERSION_ID          VARCHAR2(128),
    RESOURCE_ID              NUMBER(18, 0)    NOT NULL,
    GROUP_ID                 NUMBER(18, 0)    NOT NULL,
    HIERARCHY_TYPE           VARCHAR2(120)    NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    REPORTS_TO_FLAG          VARCHAR2(4)      NOT NULL,
    START_DATE_ACTIVE        DATE             NOT NULL,
    END_DATE_ACTIVE          DATE         ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    PAR_ROLE_RELATE_ID       NUMBER       ,
    CHILD_ROLE_RELATE_ID     NUMBER       ,
    PARENT_RESOURCE_ID       NUMBER       ,
    DENORM_LEVEL             NUMBER       ,
    CONFLICT_ID              NUMBER(18, 0)    NOT NULL,
    USER_LAST_UPDATE_DATE    TIMESTAMP(6) ,
    CPDRF_VER_SOR            NUMBER(9, 0) ,
    CPDRF_VER_PILLAR         NUMBER(9, 0) ,
    CPDRF_LAST_UPD           VARCHAR2(60) ,
    PARENT_ORG_ID            NUMBER(18, 0),
    DENORM_MGR_ID            NUMBER(18, 0),
    TREE_STRUCTURE_CODE      VARCHAR2(120),
    TREE_CODE                VARCHAR2(120),
    TREE_VERSION_ID          VARCHAR2(128),
    RESOURCE_ID              NUMBER(18, 0)    NOT NULL,
    GROUP_ID                 NUMBER(18, 0)    NOT NULL,
    HIERARCHY_TYPE           VARCHAR2(120)    NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    REPORTS_TO_FLAG          VARCHAR2(4)      NOT NULL,
    START_DATE_ACTIVE        DATE             NOT NULL,
    END_DATE_ACTIVE          DATE         ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    PAR_ROLE_RELATE_ID       NUMBER       ,
    CHILD_ROLE_RELATE_ID     NUMBER       ,
    PARENT_RESOURCE_ID       NUMBER       ,
    DENORM_LEVEL             NUMBER       ,
    CONFLICT_ID              NUMBER(18, 0)    NOT NULL,
    USER_LAST_UPDATE_DATE    TIMESTAMP(6) ,
    CPDRF_VER_SOR            NUMBER(9, 0) ,
    CPDRF_VER_PILLAR         NUMBER(9, 0) ,
    CPDRF_LAST_UPD           VARCHAR2(60) ,
    PARENT_ORG_ID            NUMBER(18, 0),
    CONSTRAINT pk_jtf_rs_rep_managers_ss PRIMARY KEY (DENORM_MGR_ID, DENORM_MGR_ID)
);
